ISIBOOTD(8)

NAME
isibootd - TRFS based network boot server

SYNOPSIS
isibootd [-d tracelevel] [-i interface] [-s directory]

DESCRIPTION
The isibootd command is a server which supports OMRON LUNA's network boot protocol based on the Transparent Remote File System (TRFS) protocol. The TRFS protocol uses special Ethernet type packets and works within a local network.

isibootd is a simple TRFS server that only supports client reads for booting and exports files in a specified directory. isibootd accepts requests only from clients listed in the /etc/ethers and have valid hostnames.

The options are as follows:

-d tracelevel
    Run isibootd in debug mode with specified tracelevel. The tracelevel can be value 1, 2, or 3, and greater tracelevel provides more detailed trace output. The server will not fork in the debug mode.

-i interface
    Specify a network interface to service network boot. If not specified isibootd searches available network interfaces (excluding loopback) and use the first configured “up” one.

-s directory
    Specify a directory containing boot files to be served by isibootd. If not specified isibootd uses /tftpboot by default.

FILES
/etc/ethers
/etc/hosts
/tftpboot
/var/run/isibootd.pid

SEE ALSO
ethers(5), hosts(5), tftpd(8)

NetBSD/luna68k Installation Instructions: http://www.NetBSD.org/ports/luna68k/install.html

HISTORY
isibootd is based on isiboot utility which was originally written by Tohru Nishimura for NetBSD/luna68k development, and first appeared in NetBSD 6.0.